#pragma once

namespace Gos2 {

class IME : public GosIME
{
	static bool				s_Enabled;
	static bool				s_Visible;

public:
	static DWORD			GetStatus(); // (DWORD)  Bit 0 is true when the IME is open.
	static void				SetPosition(int x, int y, DWORD baseColor=0xffffffff, DWORD borderColor=0xff000000, BYTE symbolTranslucence=0xA0, BYTE symbolSize=24, BYTE symbolPlacement=0, DWORD symbolColor = 0 );
	static void				Display();
	static void				Hide();
	static void				Enable();
	static void				Disable();
};

} using namespace Gos2;